package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TDictMajorCommon;

/**
 * 重大通用字典 服务层
 */
public interface ITDictMajorCommonService {

    TDictMajorCommon selectTDictMajorCommonByGuid(String guid);

    List<TDictMajorCommon> selectTDictMajorCommonList(TDictMajorCommon tDictMajorCommon);

    int insertTDictMajorCommon(TDictMajorCommon tDictMajorCommon);

    int updateTDictMajorCommon(TDictMajorCommon tDictMajorCommon);

    int deleteTDictMajorCommonByGuid(String guid);

    int deleteTDictMajorCommonByGuids(String[] guids);
}
